#YAML
time_correction_key: correction
timings:
  system_server: SystemServerTiming(Async)?\s*:\s*(?P<name>\S+) took to complete:\s(?P<time>[0-9]+)ms
  fs_shutdown: (?P<name>boot_fs_shutdown),(?P<time>[0-9]+),([0-9]+)
  ueventd_secs: ueventd:\s(?P<name>\S.+)\stook\s(?P<time>[.0-9]+)\sseconds
  init_command_ms: init:\sCommand\s(?P<name>\S.+)\sreturned.*took\s(?P<time>[.0-9]+)ms
  init_service_exec_secs: init:\sService\s.*exec\s\S+\s\((?P<name>\S.+)\).*pid.*\swaiting\stook\s(?P<time>[.0-9]+)\sseconds
  zygote64_timing: (?P<name>Zygote64Timing\:\s\S+)\stook\sto\scomplete\:\s(?P<time>[0-9]+)ms
  zygote32_timing: (?P<name>Zygote32Timing\:\s\S+)\stook\sto\scomplete\:\s(?P<time>[0-9]+)ms
events:
  kernel: Linux version
  android_init_1st_stage: init first stage started
  android_init_2st_stage: init second stage started
  late_init: processing action \(late-init\)
  fs: processing action \(fs\)
  post-fs: processing action \(post-fs\)
  late-fs: processing action \(late-fs\)
  post-fs-data: processing action \(post-fs-data\)
  nonencrypted: processing action \(nonencrypted\)
  vold:  starting service 'vold'
  starting_zygote: starting service 'zygote'
  starting_zygote_secondary: starting service 'zygote_secondary'
  load_persist_props_action: processing action \(load_persist_props_action\)
  early-boot: processing action \(early-boot\)
  boot: processing action \(boot\)
  ueventd: Starting service 'ueventd'
  system_mounted: target=/system
  data_mounted: target=/data
  correction: Updating system time diff=([0-9]+\.?[0-9]*), cuttime=([0-9]+)
  servicemanager_start_by_init: starting service 'servicemanager'
  zygoteInit: START com.android.internal.os.ZygoteInit
  ZygoteMainSystemServer: app_process\smain\swith\sargv.*\-\-start\-system\-server
  ZygoteMainOthers: app_process\smain\swith\sargv
  zygote_preload_start: Zygote\s*:\s*begin preload
  zygote_preload_classes_start: Zygote\s*:\s*Preloading classes...
  zygote_preload_res_start: Zygote\s*:\s*Preloading resources...
  zygote_preload_end: Zygote\s*:\s*end preload
  zygote_create_system_server: Zygote\s*:\s*System server process [0-9]* has been created
  SystemServer_start: Entered the Android system server!
  system_server_ready: Enabled StrictMode for system server main
  PackageManagerInit_start: SystemServer\s*:\s*StartPackageManagerService
  BluetoothService_start: Starting com.android.server.BluetoothService
  SystemUi_start: for service com.android.systemui/.
  CarLauncherReady: Em.Overview:\s*onResume
  CarService_start: for service com.android.car/.CarService
  BootAnimStart: starting service 'bootanim'
  BootAnimSfWait: BootAnimation:\sWaiting\sfor\sSurfaceFlinger\stook\s
  BootAnimShowStart: BootAnimation:\sBootAnimationShownTiming\sstart\stime
  BootAnimStopRequest: TELLING SURFACE FLINGER WE ARE BOOTED
  BootAnimEnd: Service 'bootanim'
  KeyguardStart: KeyguardServiceDelegate.*\*\*\* Keyguard started
  KeyguardConnected: KeyguardServiceDelegate.*\*\*\* Keyguard connected
  KeyguardShown: KeyguardServiceDelegate.*\*\*\*\* SHOWN CALLED \*\*\*\*
  BootComplete: Starting phase 1000
  BootComplete_kernel: processing action \(sys\.boot_completed=1\)
  LauncherStart: START.*HOME.*(NexusLauncherActivity|GEL|LensPickerTrampolineActivity|SetupWizardActivity)
  FsStat: fs_stat, partition:userdata stat:(0x\S+)
shutdown_events:
  ShutdownStart: ShutdownThread:\sNotifying thread to start shutdown
  ShutdownBroadcast: ShutdownThread:\sSending shutdown broadcast
  ShutdownActivityManagerService: ShutdownThread:\sShutting down activity manager
  ShutdownPackageManagerService: ShutdownThread:\sShutting down package manager
  ShutdownNfc: ShutdownThread:\sTurning off NFC
  ShutdownBt: ShutdownThread:\sDisabling Bluetooth
  ShutdownRadio: ShutdownThread:\sTurning off cellular radios
  ShutdownRadiosWait: ShutdownThread:\sWaiting for NFC, Bluetooth and Radio
  ShutdownBtDone: ShutdownThread:\sBluetooth turned off
  ShutdownRadioDone: ShutdownThread:\sRadio turned off
  ShutdownNfcDone: ShutdownThread:\sNFC turned off
  ShutdownRadiosWaitDone: ShutdownThread:\sNFC, Radio and Bluetooth shutdown complete
  ShutdownRadiosWaitTimeout: ShutdownThread:\sTimed out waiting for NFC, Radio and Bluetooth shutdown
  ShutdownStorageManagerSerivce: ShutdownThread:\sShutting down StorageManagerService
  ShutdownStorageManagerSerivceDone: ShutdownThread:\sResult code [\d]+ from StorageManagerService\.shutdown
  ShutdownStorageManagerSerivceTimeout: ShutdownThread:\sShutdown wait timed out
  ShutdownStartDone: ShutdownThread:\sPerforming low-level shutdown
  ShutdownInitAction: init\s+:\sprocessing action \(sys\.shutdown\.requested
  ShutdownInitFsShutdown: init\s+:\sShutdown timeout
